<?php 

defined('C5_EXECUTE') or die(_("Access Denied.")); 

class DashboardStatsSettingsController extends Controller { 
	
	function __construct(){ 
	
		
	
	}
	
	
	function view(){  
	
		$packageHandle='tony_stats';
		$statsPkg = Package::getByHandle($packageHandle); 
		$db = Loader::db();
	
		//register new panels 
		//Loader::helper('stats',$packageHandle);
		require_once( $statsPkg->getPackagePath().'/helpers/stats.php' ); 
		Loader::model('panel',$packageHandle);
		
		$registerPanelsResult = ParticleTrafficPanel::registerDefaultPanels(); 
		//$result = ParticleTrafficPanel::registerPanel( $statsPkg->getPackagePath().'/panels/pages'); 
		$this->set('registerPanelsResult',$registerPanelsResult);
		
		//save displayed panels
		if( $_POST['submitDisplayedPanels'] ){ 
			$panels = ParticleTrafficPanel::getPanels();  
			foreach($panels as $panel){ 
				$vals=array( intval(in_array( $panel->getPanelID(),$_POST['panelDisplayed'])), $panel->getPanelID() );
				$sql="UPDATE TonyStatsPanels SET displayed= ? WHERE panel_id=?";
				$queryResult = $db->query($sql,$vals);
			} 
			
			$this->set('displayedPanelsSaved',1); 
		}
		
		//load panels 
		$panels = ParticleTrafficPanel::getPanels(); 
		$this->set('panels',$panels); 
	
		
		//Save tracking 
		if( $_POST['submitTrackingSettings'] ){ 
			$trackingSettings=array();
			
			$cleanGIDs=array(); 
			if(is_array($_POST['gIDs'])) foreach($_POST['gIDs'] as $dirty_gID) 
				if(intval($dirty_gID)) $cleanGIDs[]= intval($dirty_gID);
				
			$trackingSettings['gIDs']=$cleanGIDs;	
			
			$trackingSettings['ignoreUnlogged']=intval($_POST['ignoreUnlogged']);
			$trackingSettings['timestamp']=time();
			
			$ignoredDomainsDirty = explode("\r",str_replace(array(',',"\n"),"\r",$_POST['ignoredDomains'].''));
			$ignoredDomains=array();
			foreach($ignoredDomainsDirty as $domain){
				$domain = trim($domain); 
				if( strlen($domain) ) $ignoredDomains[]=$domain; 
			}  
			$trackingSettings['ignoredDomains']=$ignoredDomains;
			
			Config::save('TONY_STATS_TRACKING_SETTINGS', serialize( $trackingSettings ) ); 
			$this->set('panelTrackingSaved', 1 );
		} 
		$trackingSettings = unserialize(Config::get('TONY_STATS_TRACKING_SETTINGS')); 
		if(!is_array($trackingSettings)) $trackingSettings=array(); 
		if(!is_array($trackingSettings['gIDs'])) $trackingSettings['gIDs']=array(); 
		if(!is_array($trackingSettings['ignoredDomains'])) $trackingSettings['ignoredDomains']=array(); 
		$this->set('trackingSettings', $trackingSettings );
		
		
		//Save result limits 
		if( $_POST['submitPanelSettings'] ){ 
			$panelSettings=array();
			$panelSettings['pagesLimit']=intval($_POST['pagesLimit']); 
			$panelSettings['visitsLimit']=intval($_POST['visitsLimit']);
			$panelSettings['referrersLimit']=intval($_POST['referrersLimit']);
			$panelSettings['searchesLimit']=intval($_POST['searchesLimit']);
			$panelSettings['resolutionsLimit']=intval($_POST['resolutionsLimit']);  
			Config::save('TONY_STATS_PANEL_SETTINGS', serialize( $panelSettings ) ); 
			$this->set('panelSettingsSaved', 1 );
		} 	
		$panelSettings = unserialize(Config::get('TONY_STATS_PANEL_SETTINGS'));
		if(!is_array($panelSettings)) $panelSettings=array(); 
		$this->set('panelSettings', $panelSettings );
		
		
		//Save maps key
		if( $_POST['submitMapKey'] ){  
			$mapsKey=preg_replace("/[^A-Za-z0-9:.\/\- _&-]/i",'',  trim($_POST['google_api_key']));
			Config::save('TONY_STATS_MAPS_KEY', $mapsKey); 
			$this->set('googleKeySaved', 1 );
		} 	
		$mapsKey = Config::get('TONY_STATS_MAPS_KEY'); 
		$this->set('mapsKey', $mapsKey );		
	
	
	} 
}

?>